import type { NobjcObject } from "objc-js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _NSTimeZone } from "../Foundation/NSTimeZone.js";
import type { _CLRegion } from "./CLRegion.js";
import type { _CNPostalAddress } from "../Contacts/CNPostalAddress.js";
export declare class _CLPlacemark extends _NSObject {
    static alloc(): _CLPlacemark;
    static new(): _CLPlacemark;
    init(): _CLPlacemark;
    /**
     * initWithPlacemark: Discussion: Initialize a newly allocated placemark from another placemark, copying its data.
     */
    initWithPlacemark$(placemark: _CLPlacemark): _CLPlacemark;
    /**
     * location Discussion: Returns the geographic location associated with the placemark.
     */
    location(): NobjcObject | null;
    /** region Discussion: Returns the geographic region associated with the placemark. */
    region(): _CLRegion;
    /** timeZone Discussion: Returns the time zone associated with the placemark. */
    timeZone(): _NSTimeZone;
    /**
     * addressDictionary Discussion: This dictionary can be formatted as an address using ABCreateStringWithAddressDictionary, defined in the AddressBookUI framework.
     * @deprecated Use @properties
     */
    addressDictionary(): _NSDictionary;
    /** eg. Apple Inc. */
    name(): _NSString | null;
    /** street name, eg. Infinite Loop */
    thoroughfare(): _NSString | null;
    /** eg. 1 */
    subThoroughfare(): _NSString | null;
    /** city, eg. Cupertino */
    locality(): _NSString | null;
    /** neighborhood, common name, eg. Mission District */
    subLocality(): _NSString | null;
    /** state, eg. CA */
    administrativeArea(): _NSString | null;
    /** county, eg. Santa Clara */
    subAdministrativeArea(): _NSString | null;
    /** zip code, eg. 95014 */
    postalCode(): _NSString | null;
    /** eg. US */
    ISOcountryCode(): _NSString | null;
    /** eg. United States */
    country(): _NSString | null;
    /** eg. Lake Tahoe */
    inlandWater(): _NSString | null;
    /**
     * eg. Pacific Ocean
     * @deprecated Use either GeoToolbox.PlaceDescriptor or MapKit
     */
    ocean(): _NSString | null;
    /**
     * eg. Golden Gate Park
     * @deprecated Use either GeoToolbox.PlaceDescriptor or MapKit
     */
    areasOfInterest(): _NSArray | null;
    /** @deprecated Use either GeoToolbox.PlaceDescriptor or MapKit */
    postalAddress(): _CNPostalAddress;
}
export interface _CLPlacemark extends _NSCopying, _NSSecureCoding {
}
